### A free/open-source library for quantitative finance

Public Member Functions
Claim Class Reference

Claim associated to a default event. More...

`#include <ql/instruments/claim.hpp>`

Inheritance diagram for Claim:
[legend]

List of all members.

## Public Member Functions

virtual Real | amount (const Date &defaultDate, Real notional, Real recoveryRate) const =0
void | update ()

## Detailed Description

Claim associated to a default event.

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.